## GtkOrientable

GtkOrientable — An interface for flippable widgets

## Functions

GtkOrientation | gtk_orientable_get_orientation ()
void | gtk_orientable_set_orientation ()

## Properties

GtkOrientation | orientation | Read / Write

## Types and Values

| GtkOrientable

## Object Hierarchy

        GInterface
        ╰── GtkOrientable

## Prerequisites

GtkOrientable requires GObject.

## Known Implementations

GtkOrientable is implemented by GtkAppChooserWidget, GtkBox, GtkButtonBox, GtkCellAreaBox, GtkCellRendererProgress, GtkCellView, GtkColorChooserWidget, GtkColorSelection, GtkFileChooserButton, GtkFileChooserWidget, GtkFlowBox, GtkFontChooserWidget, GtkFontSelection, GtkGrid, GtkHBox, GtkHButtonBox, GtkHPaned, GtkHScale, GtkHScrollbar, GtkHSeparator, GtkInfoBar, GtkLevelBar, GtkPaned, GtkProgressBar, GtkRange, GtkRecentChooserWidget, GtkScale, GtkScaleButton, GtkScrollbar, GtkSeparator, GtkShortcutsGroup, GtkShortcutsSection, GtkShortcutsShortcut, GtkSpinButton, GtkStackSwitcher, GtkStatusbar, GtkToolPalette, GtkToolbar, GtkVBox, GtkVButtonBox, GtkVPaned, GtkVScale, GtkVScrollbar, GtkVSeparator and GtkVolumeButton.

## Includes

    #include <gtk/gtk.h>

## Description

The GtkOrientable interface is implemented by all widgets that can be oriented horizontally or vertically. Historically, such widgets have been realized as subclasses of a common base class (e.g GtkBox/GtkHBox/GtkVBox or GtkScale/GtkHScale/GtkVScale). GtkOrientable is more flexible in that it allows the orientation to be changed at runtime, allowing the widgets to “flip”.

GtkOrientable was introduced in GTK+ 2.16.

## Functions

### gtk_orientable_get_orientation ()

    GtkOrientation
    gtk_orientable_get_orientation (GtkOrientable *orientable);

Retrieves the orientation of the `orientable` .

#### Parameters

orientable | a GtkOrientable |

#### Returns

the orientation of the `orientable` .

Since: 2.16

### gtk_orientable_set_orientation ()

    void
    gtk_orientable_set_orientation (GtkOrientable *orientable,
                                    GtkOrientation orientation);

Sets the orientation of the `orientable` .

#### Parameters

orientable | a GtkOrientable |
orientation | the orientable’s new orientation. |

Since: 2.16

## Types and Values

### GtkOrientable

    typedef struct _GtkOrientable GtkOrientable;

## Property Details

### The `“orientation”` property

      “orientation”              GtkOrientation

The orientation of the orientable.

Owner: GtkOrientable

Flags: Read / Write

Default value: GTK_ORIENTATION_HORIZONTAL

Since: 2.16